Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class HierarchicalIObjectGrouping

    java.lang.Object
      infomat.vectorspace.IObject
          infomat.vectorspace.IObjectGroup
              infomat.vectorspace.IObjectGrouping
                  infomat.vectorspace.HierarchicalIObjectGrouping

All Implemented Interfaces:
  IVectorIndex

    public class HierarchicalIObjectGrouping

extends IObjectGrouping

A HierarchichalIObjectGrouping is a IObjectGrouping with special properties. Algorithms shoud use the ordered group vector inhereted from IObjectGrouping to keep the currently focused level.
Not yet fully implemented. There are issues with the adding of groups as they are inhereted from IObjectGrouping. You have to know how to use it. Not explained here.

Field Summary
`private java.util.Vector<IObjectGroupNode>` | `bottomIObjectGroupNodes`
`private IObjectGroupNode` | `root`
`private java.util.Vector<IObjectGroupNode>` | `rootIObjectGroupNodes`

Fields inherited from class infomat.vectorspace.IObjectGrouping
`groupingMaxIdSoFar, groupOrdered`

Fields inherited from class infomat.vectorspace.IObjectGroup
`maxIdSoFar, objectOrderIndexMap, objectOrderValueMap, ordered`

Constructor Summary
`HierarchicalIObjectGrouping(java.lang.String groupingName)`

Method Summary
`IObjectGrouping` | `getBottomIObjectGrouping()`
`java.util.Vector<IObjectGroupNode>` | `getBottomIObjectGroupNodes()`
`IObjectGrouping` | `getRootIObjectGrouping()`
`java.util.Vector<IObjectGroupNode>` | `getRootIObjectGroupNodes()`
`void` | `printHierarchy()`
`void` | `printHierarchy(IObjectGroupNode node, java.lang.String indent, java.lang.String character)`
`void` | `setBottomIObjectGroupNodes(java.util.Vector<IObjectGroupNode> nodeVec)`
`void` | `setGroupingToBottomGrouping()`
`void` | `setGroupingToRootGrouping()`
`void` | `setRootIObjectGroupNodes(java.util.Vector<IObjectGroupNode> nodeVec)`

Methods inherited from class infomat.vectorspace.IObjectGrouping
`add, addAllGroups, contains, containsIObjectGroup, getGroupingVector, getGroupLimitsForIntervall, getGroups, getGroupsForIntervall, inWhichIObjectGroup, inWhichIObjectGroupOrdered, numberOfIObjectGroups, printGroupNamesAndSizes, printGroupSizes, printGroupsObjects, purgeGroupingToSet, remove, remove, remove, remove, removeAllGroups, removeEmptyGroups, removeObjectsNotIn, reorder, setGroups, sort`

Methods inherited from class infomat.vectorspace.IObjectGroup
`add, add, addAll, addAll, contains, containsPrecisely, getIObjectAt, getIObjectOrderIndex, getIVector, getName, getObjectOrderValueMap, getOrdered, getSortedObjectOrderValueVector, notIn, numberOfIObjects, numberOfSharedIObjects, randomOrder, removeAll, setIVector, setName, sortInCurrentVectorOrderWithInvertedOrderNumberAsValue, sortInOrderValueOrder, subGroup`

Methods inherited from class infomat.vectorspace.IObject
`getAmbiguous, getAmbiguousString, getID, getKind, getLargestCommonLocation, getLocation, getString, setAmbiguous, setString, stringCompareTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    private IObjectGroupNode root

### rootIObjectGroupNodes

    private java.util.Vector<IObjectGroupNode> rootIObjectGroupNodes

### bottomIObjectGroupNodes

    private java.util.Vector<IObjectGroupNode> bottomIObjectGroupNodes

Constructor Detail

### HierarchicalIObjectGrouping

    public HierarchicalIObjectGrouping(java.lang.String groupingName)

Method Detail

### setRootIObjectGroupNodes

    public void setRootIObjectGroupNodes(java.util.Vector<IObjectGroupNode> nodeVec)

### setBottomIObjectGroupNodes

    public void setBottomIObjectGroupNodes(java.util.Vector<IObjectGroupNode> nodeVec)

### getRootIObjectGroupNodes

    public java.util.Vector<IObjectGroupNode> getRootIObjectGroupNodes()

### getBottomIObjectGroupNodes

    public java.util.Vector<IObjectGroupNode> getBottomIObjectGroupNodes()

### getRootIObjectGrouping

    public IObjectGrouping getRootIObjectGrouping()

### getBottomIObjectGrouping

    public IObjectGrouping getBottomIObjectGrouping()

### setGroupingToRootGrouping

    public void setGroupingToRootGrouping()

### setGroupingToBottomGrouping

    public void setGroupingToBottomGrouping()

### printHierarchy

    public void printHierarchy()

### printHierarchy

    public void printHierarchy(IObjectGroupNode node,
                               java.lang.String indent,
                               java.lang.String character)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD